Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.weather.beans
Interface WeatherInformation

All Known Implementing Classes:
  NWSInformation

public interface WeatherInformation

WeatherInformation

Since:
  blojsom 3.0
Version:
  $Id: WeatherInformation.java,v 1.1 2006/03/26 16:27:30 czarneckid Exp $
Author:
  Mark Lussier

Method Summary
`java.lang.String` | `getCelcius()` Get the current temperate as Celcius
`java.lang.String` | `getFahrenheit()` Get the current temperature as Farenheit
`java.lang.String` | `getHistoryUrl()` Get the URL containing a link to weather history information
`java.lang.String` | `getLocation()` Get the Location of the Weather Station
`java.lang.String` | `getProviderUrl()` Gets the URL required to fetch this resource
`java.lang.String` | `getStationCode()` Get the Station Id
`java.lang.String` | `getValueForTag(java.lang.String tag)` Get the value for a given tag from the parsed XML weather information
`java.lang.String` | `getVisibility()` Get the current Visibility
`java.lang.String` | `getWind()` Get the current Wind conditions
`void` | `parseDocument(org.w3c.dom.Document document)` Parse an XML document containing weather related information

Method Detail

### parseDocument

    public void parseDocument(org.w3c.dom.Document document)

  Parse an XML document containing weather related information

  Parameters:
    `document` - XML document with weather information

### getFahrenheit

    public java.lang.String getFahrenheit()

  Get the current temperature as Farenheit

  Returns:
    A String containing the current temperature in Farenheit

### getCelcius

    public java.lang.String getCelcius()

  Get the current temperate as Celcius

  Returns:
    A String containing the current temperature as Celcius

### getLocation

    public java.lang.String getLocation()

  Get the Location of the Weather Station

  Returns:
    The Weather Station name as a String

### getStationCode

    public java.lang.String getStationCode()

  Get the Station Id

  Returns:
    The Station Id as a String

### getVisibility

    public java.lang.String getVisibility()

  Get the current Visibility

  Returns:
    The current visbility as a String

### getWind

    public java.lang.String getWind()

  Get the current Wind conditions

  Returns:
    The current wind conditions as a String

### getHistoryUrl

    public java.lang.String getHistoryUrl()

  Get the URL containing a link to weather history information

  Returns:
    URL for weather history information

### getProviderUrl

    public java.lang.String getProviderUrl()

  Gets the URL required to fetch this resource

  Returns:
    The resource location as a String

### getValueForTag

    public java.lang.String getValueForTag(java.lang.String tag)

  Get the value for a given tag from the parsed XML weather information

  Parameters:
    `tag` - Tag to retrieve
  Returns:
    Value of tag or `null` if the tag is not present
  Since:
    blojsom 2.24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD